%bcond_without doc


Name:		erlang
Version:	17.3
Release:	1.0.1%{?dist}
Summary:	General-purpose programming language and runtime environment

Group:		Development/Languages
License:	ERPL
URL:		http://www.erlang.org
Source0:	http://www.erlang.org/download/otp_src_%{version}.tar.gz
Source1:	epmd.init


# Minimal Required Utilities
BuildRequires: make gcc perl ncurses-devel m4 sed
# Optional Utilities
BuildRequires: openssl-devel java-devel flex wxGTK-devel gcc-c++ unixODBC-devel dtrace-utils
%if %{with doc}
# Required for building docs (escript)
BuildRequires: fop libxslt
%endif

BuildRequires: emacs
BuildRequires: emacs-el

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


Requires: %{name}-asn1%{?_isa} = %{version}-%{release}
Requires: %{name}-common_test%{?_isa} = %{version}-%{release}
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-cosEvent%{?_isa} = %{version}-%{release}
Requires: %{name}-cosEventDomain%{?_isa} = %{version}-%{release}
Requires: %{name}-cosFileTransfer%{?_isa} = %{version}-%{release}
Requires: %{name}-cosNotification%{?_isa} = %{version}-%{release}
Requires: %{name}-cosProperty%{?_isa} = %{version}-%{release}
Requires: %{name}-cosTime%{?_isa} = %{version}-%{release}
Requires: %{name}-cosTransactions%{?_isa} = %{version}-%{release}
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-debugger%{?_isa} = %{version}-%{release}
Requires: %{name}-dialyzer%{?_isa} = %{version}-%{release}
Requires: %{name}-diameter%{?_isa} = %{version}-%{release}
Requires: %{name}-edoc%{?_isa} = %{version}-%{release}
Requires: %{name}-eldap%{?_isa} = %{version}-%{release}
Requires: %{name}-erl_docgen%{?_isa} = %{version}-%{release}
Requires: %{name}-erl_interface%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-et%{?_isa} = %{version}-%{release}
Requires: %{name}-eunit%{?_isa} = %{version}-%{release}
Requires: %{name}-gs%{?_isa} = %{version}-%{release}
Requires: %{name}-hipe%{?_isa} = %{version}-%{release}
Requires: %{name}-ic%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-jinterface%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-megaco%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-observer%{?_isa} = %{version}-%{release}
Requires: %{name}-odbc%{?_isa} = %{version}-%{release}
Requires: %{name}-orber%{?_isa} = %{version}-%{release}
Requires: %{name}-os_mon%{?_isa} = %{version}-%{release}
Requires: %{name}-ose%{?_isa} = %{version}-%{release}
Requires: %{name}-otp_mibs%{?_isa} = %{version}-%{release}
Requires: %{name}-parsetools%{?_isa} = %{version}-%{release}
Requires: %{name}-percept%{?_isa} = %{version}-%{release}
Requires: %{name}-public_key%{?_isa} = %{version}-%{release}
Requires: %{name}-reltool%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-snmp%{?_isa} = %{version}-%{release}
Requires: %{name}-ssh%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-test_server%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}
Requires: %{name}-typer%{?_isa} = %{version}-%{release}
Requires: %{name}-webtool%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}
Requires: %{name}-xmerl%{?_isa} = %{version}-%{release}

%description
Erlang is a general-purpose programming language and runtime
environment. Erlang has built-in support for concurrency, distribution
and fault tolerance. Erlang is used in several large telecommunication
systems from Ericsson.

%package asn1
Summary:	Provides support for Abstract Syntax Notation One
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description asn1
Provides support for Abstract Syntax Notation One.

%package common_test
Summary:	A portable framework for automatic testing
Group:		Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-debugger%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-snmp%{?_isa} = %{version}-%{release}
Requires: %{name}-ssh%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-test_server%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}
Requires: %{name}-webtool%{?_isa} = %{version}-%{release}
Requires: %{name}-xmerl%{?_isa} = %{version}-%{release}

%description common_test
A portable framework for automatic testing.

%package compiler
Summary:	A byte code compiler for Erlang which produces highly compact code
Group:		Development/Languages
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-hipe%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description compiler
A byte code compiler for Erlang which produces highly compact code.

%package cosEvent
Summary:	Orber OMG Event Service
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-orber%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description cosEvent
Orber OMG Event Service.

%package cosEventDomain
Summary:	Orber OMG Event Domain Service
Group:		Development/Languages
Requires: %{name}-cosNotification%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-orber%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description cosEventDomain
Orber OMG Event Domain Service.

%package cosFileTransfer
Summary:	Orber OMG File Transfer Service
Group:		Development/Languages
Requires: %{name}-cosProperty%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-orber%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description cosFileTransfer
Orber OMG File Transfer Service.

%package cosNotification
Summary:	Orber OMG Notification Service
Group:		Development/Languages
Requires: %{name}-cosEvent%{?_isa} = %{version}-%{release}
Requires: %{name}-cosTime%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-orber%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description cosNotification
Orber OMG Notification Service.

%package cosProperty
Summary:	Orber OMG Property Service
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-orber%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description cosProperty
Orber OMG Property Service.

%package cosTime
Summary:	Orber OMG Timer and TimerEvent Service
Group:		Development/Languages
Requires: %{name}-cosEvent%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-orber%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description cosTime
Orber OMG Timer and TimerEvent Service.

%package cosTransactions
Summary:	Orber OMG Transaction Service
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-orber%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description cosTransactions
Orber OMG Transaction Service.

%package crypto
Summary:	Cryptographical support
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description crypto
Cryptographical support.

%package debugger
Summary:	A debugger for debugging and testing of Erlang programs
Group:		Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}

%description debugger
A debugger for debugging and testing of Erlang programs.

%package dialyzer
Summary:	A DIscrepancy AnaLYZer for ERlang programs
Group:		Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-hipe%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}
Requires: graphviz

%description dialyzer
A DIscrepancy AnaLYZer for ERlang programs.

%package diameter
Summary:	Diameter (RFC 3588) library
Group:		Development/Languages
#BuildRequires:	ed
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}

%description diameter
Diameter (RFC 3588) library

%package doc
Summary:	Erlang documentation
Group:		Development/Languages
BuildArch:	noarch

%description doc
Documentation for Erlang.

%package edoc
Summary:	A utility used to generate documentation out of tags in source files
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-xmerl%{?_isa} = %{version}-%{release}

%description edoc
A utility used to generate documentation out of tags in source files.

%package eldap
Summary:	Erlang LDAP library
Group:		Development/Languages
Requires: %{name}-asn1%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description eldap
Erlang LDAP library.

%package erl_docgen
Summary:	A utility used to generate erlang HTML documentation
Group:		Development/Languages
Requires: %{name}-edoc%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-xmerl%{?_isa} = %{version}-%{release}

%description erl_docgen
A utility used to generate erlang HTML documentation.

%package erl_interface
Summary:	Low level interface to C
Group:		Development/Languages
Requires:	%{name}-erts%{?_isa} = %{version}-%{release}

%description erl_interface
Low level interface to C.

%package erts
Summary:	Functionality necessary to run the Erlang System itself
Group:		Development/Languages
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
# This library is dlopened so it can't be picked up automatically by the RPM
# dependency checker
Requires: lksctp-tools
# For init system
Requires(pre): /usr/sbin/useradd
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
Requires(postun): initscripts
Provides: erlang(erl_drv_version) = 3.0
Provides: erlang(erl_nif_version) = 2.6
# These sub-packages were removed once
Obsoletes: erlang-appmon <= R14B
Obsoletes: erlang-docbuilder <= R14B
Obsoletes: erlang-inviso <= R14B
Obsoletes: erlang-pman <= R14B
Obsoletes: erlang-toolbar <= R14B
Obsoletes: erlang-tv <= R14B

%description erts
Functionality necessary to run the Erlang System itself.

%package et
Summary:	An event tracer for Erlang programs
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}

%description et
An event tracer for Erlang programs.

%package eunit
Summary:	Support for unit testing
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description eunit
Support for unit testing.

%package examples
Summary:	Examples for some Erlang modules
Group:		Development/Languages
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description examples
Examples for some Erlang modules.

%package gs
Summary:	A library for Tcl/Tk support in Erlang
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
#BuildRequires:	tcl-devel
#BuildRequires:	tk-devel
Requires:	tk

%description gs
A Graphics System used to write platform independent user interfaces.

%package hipe
Summary:	High Performance Erlang
Group:		Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-syntax_tools%{?_isa} = %{version}-%{release}

%description hipe
High Performance Erlang.

%package ic
Summary:	IDL compiler
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description ic
IDL compiler.

%package inets
Summary:	A set of services such as a Web server and a ftp client etc
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
# FIXME see erlang-jinterface also
#Requires:	jpackage-utils

%description inets
A set of services such as a Web server and a ftp client etc.

%package jinterface
Summary:	A library for accessing Java from Erlang
Group:		Development/Languages
Requires:	%{name}-erts%{?_isa} = %{version}-%{release}
# FIXME see erlang-ic also
#Requires:	jpackage-utils

%description jinterface
Low level interface to Java.

%package kernel
Summary:	Main erlang library
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description kernel
Main erlang library.

%package megaco
Summary:	Megaco/H.248 support library
Group:		Development/Languages
# FIXME Error:erlang(megaco_flex_scanner:scan/2)
Requires: %{name}-asn1%{?_isa} = %{version}-%{release}
Requires: %{name}-debugger%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-et%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description megaco
Megaco/H.248 is a protocol for control of elements in a physically
decomposed multimedia gateway, enabling separation of call control
from media conversion.

%package mnesia
Summary:	A heavy duty real-time distributed database
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description mnesia
A heavy duty real-time distributed database.

%package observer
Summary:	A set of tools for tracing and investigation of distributed systems
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-et%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}

%description observer
A set of tools for tracing and investigation of distributed systems.

%package odbc
Summary:	A library for unixODBC support in Erlang
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description odbc
An interface to relational SQL-databases built on ODBC (Open Database
Connectivity).

%package orber
Summary:	A CORBA Object Request Broker
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-ssl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description orber
A CORBA Object Request Broker.

%package os_mon
Summary:	A monitor which allows inspection of the underlying operating system
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-otp_mibs%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-snmp%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description os_mon
A monitor which allows inspection of the underlying operating system.

%package ose
Summary:	A module for interacting with Enea OSE
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description ose
A module for interacting with Enea OSE.

%package otp_mibs
Summary:	SNMP management information base for Erlang/OTP nodes
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-snmp%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description otp_mibs
SNMP management information base for Erlang/OTP nodes.

%package parsetools
Summary:	A set of parsing and lexical analysis tools
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description parsetools
A set of parsing and lexical analysis tools.

%package percept
Summary:	A concurrency profiler tool
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description percept
A concurrency profiler tool.

%package public_key
Summary:	API to public key infrastructure
Group:		Development/Languages
Requires: %{name}-asn1%{?_isa} = %{version}-%{release}
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description public_key
API to public key infrastructure.

%package reltool
Summary:	A release management tool
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-sasl%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}
Requires: %{name}-wx%{?_isa} = %{version}-%{release}

%description reltool
Reltool is a release management tool. It analyses a given
Erlang/OTP installation and determines various dependencies
between applications. The graphical frontend depicts the
dependencies and enables interactive customization of a
target system. The backend provides a batch interface
for generation of customized target systems.

%package runtime_tools
Summary:	A set of tools to include in a production system
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description runtime_tools
A set of tools to include in a production system.

%package sasl
Summary:	The System Architecture Support Libraries
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}

%description sasl
The System Architecture Support Libraries is a set of tools for
release upgrades and alarm handling etc.

%package snmp
Summary:	Simple Network Management Protocol (SNMP) support
Group:		Development/Languages
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-mnesia%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description snmp
Simple Network Management Protocol (SNMP) support including a
MIB compiler and tools for creating SNMP agents.

%package ssh
Summary:	Secure Shell application with sftp and ssh support
Group:		Development/Languages
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-public_key%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description ssh
Secure Shell application with sftp and ssh support.

%package ssl
Summary:	Secure Socket Layer support
Group:		Development/Languages
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-public_key%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description ssl
Secure Socket Layer support.

%package stdlib
Summary:	The Erlang standard libraries
Group:		Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-crypto%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}

%description stdlib
The Erlang standard libraries.

%package syntax_tools
Summary:	A set of tools for dealing with erlang sources
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description syntax_tools
A utility used to handle abstract Erlang syntax trees,
reading source files differently, pretty-printing syntax trees.

%package test_server
Summary:	The OTP Test Server
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-observer%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-tools%{?_isa} = %{version}-%{release}

%description test_server
The OTP Test Server.

%package tools
Summary:	A set of programming tools including a coverage analyzer etc
Group:		Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-runtime_tools%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires: %{name}-webtool%{?_isa} = %{version}-%{release}
Provides:	emacs-common-erlang = %{version}-%{release}

%description tools
A set of programming tools including a coverage analyzer etc.

%package typer
Summary:	TYPe annotator for ERlang programs
Group:		Development/Languages
Requires: %{name}-compiler%{?_isa} = %{version}-%{release}
Requires: %{name}-dialyzer%{?_isa} = %{version}-%{release}
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-hipe%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description typer
TYPe annotator for ERlang programs.

%package webtool
Summary:	A tool that simplifying the use of web based Erlang tools
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-inets%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-observer%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description webtool
A tool that simplifying the use of web based Erlang tools.

%package wx
Summary:	A library for wxWidgets support in Erlang
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}
Requires:	mesa-libGL
Requires:	mesa-libGLU

%description wx
A Graphics System used to write platform independent user interfaces.

%package xmerl
Summary:	Provides support for XML 1.0
Group:		Development/Languages
Requires: %{name}-erts%{?_isa} = %{version}-%{release}
Requires: %{name}-kernel%{?_isa} = %{version}-%{release}
Requires: %{name}-stdlib%{?_isa} = %{version}-%{release}

%description xmerl
Provides support for XML 1.0.

%package -n emacs-erlang
Summary:	Compiled elisp files for erlang-mode under GNU Emacs
Requires:	emacs-common-erlang = %{version}-%{release}
Requires:	emacs(bin) >= %{_emacs_version}
Group:		Applications/Editors
BuildArch:	noarch

%description -n emacs-erlang
Erlang mode for GNU Emacs.

%package -n emacs-erlang-el
Summary:	Elisp source files for erlang-mode under GNU Emacs
Requires:	emacs-erlang = %{version}-%{release}
Group:		Applications/Editors
BuildArch:	noarch

%description -n emacs-erlang-el
Erlang mode for GNU Emacs (source lisp files).


%prep
%setup -q -n otp_src_%{version}

# FIXME we should come up with a better solution
# remove shipped zlib sources
#rm -f erts/emulator/zlib/*.[ch]


%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-threads --enable-smp-support --enable-kernel-poll --enable-sctp --enable-hipe --enable-native-libs --enable-vm-probes --disable-builtin-zlib --with-termcap --with-dynamic-trace=dtrace --with-javac --with-ssl

# GNU Emacs/XEmacs related stuff
erlang_tools_vsn="$(sed -n 's/TOOLS_VSN = //p' lib/tools/vsn.mk)"

# GNU Emacs related stuff
cat > emacs-erlang-init.el << EOF
(setq load-path (cons "%{_emacs_sitelispdir}/erlang" load-path))
(setq erlang-root-dir "%{_libdir}/erlang")
(setq exec-path (cons "%{_libdir}/erlang/bin" exec-path))
(require 'erlang-start)
EOF
mkdir emacs-erlang
cp lib/tools/emacs/*.el emacs-erlang/
pushd emacs-erlang
%{_emacs_bytecompile} *.el
popd

make %{_smp_mflags}

%if %{with doc}
# should use FOP_OPTS after #832323 is resolved
#%ifnarch ppc %{power64}
#export BASE_OPTIONS=-Xmx1024m
#%else
#export BASE_OPTIONS=-Xmx1536m
#%endif
make %{_smp_mflags} docs
%endif


%install
# GNU Emacs/XEmacs related stuff
erlang_tools_vsn="$(sed -n 's/TOOLS_VSN = //p' lib/tools/vsn.mk)"

# GNU Emacs related stuff
install -m 0755 -d "$RPM_BUILD_ROOT%{_emacs_sitestartdir}"
install -m 0755 -d "$RPM_BUILD_ROOT%{_emacs_sitelispdir}/erlang"
install -m 0644 emacs-erlang-init.el "$RPM_BUILD_ROOT%{_emacs_sitestartdir}/erlang-init.el"
for f in lib/tools/emacs/{README,*.el}; do
	b="$(basename "$f")";
	ln -sf "%{_libdir}/erlang/lib/tools-${erlang_tools_vsn}/emacs/$b" \
		"$RPM_BUILD_ROOT%{_emacs_sitelispdir}/erlang/"
done
install -m 0644 emacs-erlang/*.elc "$RPM_BUILD_ROOT%{_emacs_sitelispdir}/erlang/"


#make DESTDIR=$RPM_BUILD_ROOT install -j $(getconf _NPROCESSORS_ONLN)
%{make_install} %{_smp_mflags}

%if %{with doc}
env ERL_LIBS="$RPM_BUILD_ROOT%{_libdir}/erlang/lib" make %{_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install-docs
%endif


# Relocate doc-files into the proper directory
%if %{with doc}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/lib
pushd .
cd $RPM_BUILD_ROOT%{_libdir}/erlang
mv -v doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
for i in erts-* ; do mv -v $i/doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i ; done
cd $RPM_BUILD_ROOT%{_libdir}/erlang/lib
for i in * ; do mv -v $i/doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/lib/$i || true ; done
popd
cp -av AUTHORS EPLICENCE README.md $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv -v $RPM_BUILD_ROOT%{_libdir}/erlang/PR.template $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv -v $RPM_BUILD_ROOT%{_libdir}/erlang/README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv -v $RPM_BUILD_ROOT%{_libdir}/erlang/COPYRIGHT $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%endif

# Win32-specific man-pages
rm -f $RPM_BUILD_ROOT%{_libdir}/erlang/man/man1/erlsrv.*
rm -f $RPM_BUILD_ROOT%{_libdir}/erlang/man/man1/werl.*
rm -f $RPM_BUILD_ROOT%{_libdir}/erlang/man/man3/win32reg.*

# Replace identical executables with symlinks
for exe in $RPM_BUILD_ROOT%{_libdir}/erlang/erts-*/bin/*
do
	base="$(basename "$exe")"
	next="$RPM_BUILD_ROOT%{_libdir}/erlang/bin/${base}"
	rel="$(echo "$exe" | sed "s,^$RPM_BUILD_ROOT%{_libdir}/erlang/,../,")"
	if cmp "$exe" "$next"; then
		ln -sf "$rel" "$next"
	fi
done
for exe in $RPM_BUILD_ROOT%{_libdir}/erlang/bin/*
do
	base="$(basename "$exe")"
	next="$RPM_BUILD_ROOT%{_bindir}/${base}"
	rel="$(echo "$exe" | sed "s,^$RPM_BUILD_ROOT,,")"
	if cmp "$exe" "$next"; then
		ln -sf "$rel" "$next"
	fi
done

# symlink *.jar files to appropriate places for subpackages
install -m 0755 -d "$RPM_BUILD_ROOT%{_javadir}/%{name}"

# erlang-ic
ic_lib_dir="$(ls -d1 $RPM_BUILD_ROOT%{_libdir}/erlang/lib/ic-*/ | sed "s,^$RPM_BUILD_ROOT,,")"
test -d "$RPM_BUILD_ROOT$ic_lib_dir"
ln -sf "${ic_lib_dir}/priv/ic.jar" "$RPM_BUILD_ROOT%{_javadir}/%{name}/"

# erlang-jinterface
jinterface_lib_dir="$(ls -d1 $RPM_BUILD_ROOT%{_libdir}/erlang/lib/jinterface-*/ | sed "s,^$RPM_BUILD_ROOT,,")"
test -d "$RPM_BUILD_ROOT$jinterface_lib_dir"
install -m 0755 -d "$RPM_BUILD_ROOT%{_javadir}"
ln -sf "${jinterface_lib_dir}priv/OtpErlang.jar" "$RPM_BUILD_ROOT%{_javadir}/%{name}/"


# init stuff
install -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initddir}/epmd

# rm obj files
find $RPM_BUILD_ROOT%{_libdir} -type d -name "obj" | xargs rm -rfv

%clean
rm -rf $RPM_BUILD_ROOT

%check
# FIXME run tests somehow
# make tests || exit 0


%pre erts
getent group epmd >/dev/null || groupadd -r epmd
getent passwd epmd >/dev/null || \
useradd -r -g epmd -d /tmp -s /sbin/nologin \
-c "Erlang Port Mapper Daemon" epmd 2>/dev/null || :

%post erts
if [ $1 = 1 ]; then
    /sbin/chkconfig --add epmd
fi

%preun erts
if [ $1 = 0 ]; then
    /sbin/service epmd stop >/dev/null 2>&1
    /sbin/chkconfig --del epmd
fi

%files
%defattr(-,root,root,-)
%if %{with doc}
%dir %{_docdir}/%{name}-%{version}/
%doc %{_docdir}/%{name}-%{version}/AUTHORS
%doc %{_docdir}/%{name}-%{version}/COPYRIGHT
%doc %{_docdir}/%{name}-%{version}/EPLICENCE
%doc %{_docdir}/%{name}-%{version}/PR.template
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/README.md
%endif

%files asn1
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/asn1-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/asn1ct.*
%{_libdir}/erlang/man/man3/asn1rt.*
%endif

%files common_test
%defattr(-,root,root,-)
%{_bindir}/ct_run
%{_libdir}/erlang/lib/common_test-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/ct.*
%{_libdir}/erlang/man/man3/ct_cover.*
%{_libdir}/erlang/man/man3/ct_ftp.*
%{_libdir}/erlang/man/man3/ct_hooks.*
%{_libdir}/erlang/man/man3/ct_master.*
%{_libdir}/erlang/man/man3/ct_netconfc.*
%{_libdir}/erlang/man/man3/ct_rpc.*
%{_libdir}/erlang/man/man3/ct_slave.*
%{_libdir}/erlang/man/man3/ct_snmp.*
%{_libdir}/erlang/man/man3/ct_ssh.*
%{_libdir}/erlang/man/man3/ct_telnet.*
%{_libdir}/erlang/man/man3/ct_property_test.*
%{_libdir}/erlang/man/man3/unix_telnet.*
%{_libdir}/erlang/man/man6/common_test.*
%endif

%files compiler
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/compiler-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/compile.*
%endif

%files cosEvent
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/cosEvent-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/cosEventApp.*
%{_libdir}/erlang/man/man3/CosEventChannelAdmin.*
%{_libdir}/erlang/man/man3/CosEventChannelAdmin_ConsumerAdmin.*
%{_libdir}/erlang/man/man3/CosEventChannelAdmin_EventChannel.*
%{_libdir}/erlang/man/man3/CosEventChannelAdmin_ProxyPullConsumer.*
%{_libdir}/erlang/man/man3/CosEventChannelAdmin_ProxyPullSupplier.*
%{_libdir}/erlang/man/man3/CosEventChannelAdmin_ProxyPushConsumer.*
%{_libdir}/erlang/man/man3/CosEventChannelAdmin_ProxyPushSupplier.*
%{_libdir}/erlang/man/man3/CosEventChannelAdmin_SupplierAdmin.*
%endif

%files cosEventDomain
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/cosEventDomain-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/CosEventDomainAdmin.*
%{_libdir}/erlang/man/man3/CosEventDomainAdmin_EventDomain.*
%{_libdir}/erlang/man/man3/CosEventDomainAdmin_EventDomainFactory.*
%{_libdir}/erlang/man/man3/cosEventDomainApp.*
%endif

%files cosFileTransfer
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/cosFileTransfer-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/cosFileTransferApp.*
%{_libdir}/erlang/man/man3/CosFileTransfer_Directory.*
%{_libdir}/erlang/man/man3/CosFileTransfer_File.*
%{_libdir}/erlang/man/man3/CosFileTransfer_FileIterator.*
%{_libdir}/erlang/man/man3/CosFileTransfer_FileTransferSession.*
%{_libdir}/erlang/man/man3/CosFileTransfer_VirtualFileSystem.*
%endif

%files cosNotification
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/cosNotification-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/CosNotification.*
%{_libdir}/erlang/man/man3/CosNotification_AdminPropertiesAdmin.*
%{_libdir}/erlang/man/man3/cosNotificationApp.*
%{_libdir}/erlang/man/man3/CosNotification_QoSAdmin.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_ConsumerAdmin.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_EventChannel.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_EventChannelFactory.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_ProxyConsumer.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_ProxyPullConsumer.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_ProxyPullSupplier.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_ProxyPushConsumer.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_ProxyPushSupplier.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_ProxySupplier.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_SequenceProxyPullConsumer.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_SequenceProxyPullSupplier.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_SequenceProxyPushConsumer.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_SequenceProxyPushSupplier.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_StructuredProxyPullConsumer.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_StructuredProxyPullSupplier.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_StructuredProxyPushConsumer.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_StructuredProxyPushSupplier.*
%{_libdir}/erlang/man/man3/CosNotifyChannelAdmin_SupplierAdmin.*
%{_libdir}/erlang/man/man3/CosNotifyComm_NotifyPublish.*
%{_libdir}/erlang/man/man3/CosNotifyComm_NotifySubscribe.*
%{_libdir}/erlang/man/man3/CosNotifyFilter_Filter.*
%{_libdir}/erlang/man/man3/CosNotifyFilter_FilterAdmin.*
%{_libdir}/erlang/man/man3/CosNotifyFilter_FilterFactory.*
%{_libdir}/erlang/man/man3/CosNotifyFilter_MappingFilter.*
%endif

%files cosProperty
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/cosProperty-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/cosProperty.*
%{_libdir}/erlang/man/man3/CosPropertyService_PropertiesIterator.*
%{_libdir}/erlang/man/man3/CosPropertyService_PropertyNamesIterator.*
%{_libdir}/erlang/man/man3/CosPropertyService_PropertySet.*
%{_libdir}/erlang/man/man3/CosPropertyService_PropertySetDef.*
%{_libdir}/erlang/man/man3/CosPropertyService_PropertySetDefFactory.*
%{_libdir}/erlang/man/man3/CosPropertyService_PropertySetFactory.*
%endif

%files cosTime
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/cosTime-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/cosTime.*
%{_libdir}/erlang/man/man3/CosTimerEvent_TimerEventHandler.*
%{_libdir}/erlang/man/man3/CosTimerEvent_TimerEventService.*
%{_libdir}/erlang/man/man3/CosTime_TimeService.*
%{_libdir}/erlang/man/man3/CosTime_TIO.*
%{_libdir}/erlang/man/man3/CosTime_UTO.*
%endif

%files cosTransactions
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/cosTransactions-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/cosTransactions.*
%{_libdir}/erlang/man/man3/CosTransactions_Control.*
%{_libdir}/erlang/man/man3/CosTransactions_Coordinator.*
%{_libdir}/erlang/man/man3/CosTransactions_RecoveryCoordinator.*
%{_libdir}/erlang/man/man3/CosTransactions_Resource.*
%{_libdir}/erlang/man/man3/CosTransactions_SubtransactionAwareResource.*
%{_libdir}/erlang/man/man3/CosTransactions_Terminator.*
%{_libdir}/erlang/man/man3/CosTransactions_TransactionFactory.*
%endif

%files crypto
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/crypto-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/crypto.*
%{_libdir}/erlang/man/man6/crypto.*
%endif

%files debugger
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/debugger-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/debugger.*
%{_libdir}/erlang/man/man3/i.*
%{_libdir}/erlang/man/man3/int.*
%endif

%files dialyzer
%defattr(-,root,root,-)
%{_bindir}/dialyzer
%{_libdir}/erlang/bin/dialyzer
%{_libdir}/erlang/erts-*/bin/dialyzer
%{_libdir}/erlang/lib/dialyzer-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/dialyzer.*
%endif

%files diameter
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/diameter-*/
%if %{with doc}
%{_libdir}/erlang/man/man1/diameterc.*
%{_libdir}/erlang/man/man3/diameter.*
%{_libdir}/erlang/man/man3/diameter_app.*
%{_libdir}/erlang/man/man3/diameter_codec.*
%{_libdir}/erlang/man/man3/diameter_make.*
%{_libdir}/erlang/man/man3/diameter_sctp.*
%{_libdir}/erlang/man/man3/diameter_tcp.*
%{_libdir}/erlang/man/man3/diameter_transport.*
%{_libdir}/erlang/man/man4/diameter_dict.*
%endif

%files doc
%defattr(-,root,root,-)
%if %{with doc}
%doc %{_docdir}/%{name}-%{version}/doc
%doc %{_docdir}/%{name}-%{version}/erts-*/
%doc %{_docdir}/%{name}-%{version}/lib/
%endif

%files edoc
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/edoc-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/edoc.*
%{_libdir}/erlang/man/man3/edoc_doclet.*
%{_libdir}/erlang/man/man3/edoc_extract.*
%{_libdir}/erlang/man/man3/edoc_layout.*
%{_libdir}/erlang/man/man3/edoc_lib.*
%{_libdir}/erlang/man/man3/edoc_run.*
%endif

%files eldap
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/eldap-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/eldap.*
%endif

%files erl_docgen
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/erl_docgen-*/
%{_libdir}/erlang/man/man6/erl_docgen.*

%files erl_interface
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/erl_interface-*/
%if %{with doc}
%{_libdir}/erlang/man/man1/erl_call.*
%{_libdir}/erlang/man/man3/ei.*
%{_libdir}/erlang/man/man3/ei_connect.*
%{_libdir}/erlang/man/man3/erl_connect.*
%{_libdir}/erlang/man/man3/erl_error.*
%{_libdir}/erlang/man/man3/erl_eterm.*
%{_libdir}/erlang/man/man3/erl_format.*
%{_libdir}/erlang/man/man3/erl_global.*
%{_libdir}/erlang/man/man3/erl_malloc.*
%{_libdir}/erlang/man/man3/erl_marshal.*
%{_libdir}/erlang/man/man3/registry.*
%endif

%files erts
%defattr(-,root,root,-)
# TODO
# In order to have a parallel-installable Erlang packages these directories
# should be packaged separately
%dir %{_libdir}/erlang/
%dir %{_libdir}/erlang/bin/
%dir %{_libdir}/erlang/lib/
%if %{with doc}
%dir %{_libdir}/erlang/man/
%dir %{_libdir}/erlang/man/man1/
%dir %{_libdir}/erlang/man/man3/
%dir %{_libdir}/erlang/man/man4/
%dir %{_libdir}/erlang/man/man6/
%dir %{_libdir}/erlang/man/man7/
%endif
%dir %{_libdir}/erlang/releases/

%{_bindir}/epmd
%{_bindir}/erl
%{_bindir}/erlc
%{_bindir}/escript
%{_bindir}/run_erl
%{_bindir}/to_erl
%{_libdir}/erlang/bin/ct_run
%{_libdir}/erlang/bin/epmd
%{_libdir}/erlang/bin/erl
%{_libdir}/erlang/bin/erlc
%{_libdir}/erlang/bin/escript
%{_libdir}/erlang/bin/no_dot_erlang.boot
%{_libdir}/erlang/bin/run_erl
%{_libdir}/erlang/bin/start
%{_libdir}/erlang/bin/start.boot
%{_libdir}/erlang/bin/start.script
%{_libdir}/erlang/bin/start_clean.boot
%{_libdir}/erlang/bin/start_erl
%{_libdir}/erlang/bin/start_sasl.boot
%{_libdir}/erlang/bin/to_erl
%dir %{_libdir}/erlang/erts-*/
%{_libdir}/erlang/erts-*/info
%dir %{_libdir}/erlang/erts-*/bin/
%{_libdir}/erlang/erts-*/bin/beam
%{_libdir}/erlang/erts-*/bin/beam.smp
%{_libdir}/erlang/erts-*/bin/child_setup
%{_libdir}/erlang/erts-*/bin/ct_run
%{_libdir}/erlang/erts-*/bin/dyn_erl
%{_libdir}/erlang/erts-*/bin/epmd
%{_libdir}/erlang/erts-*/bin/erl
%{_libdir}/erlang/erts-*/bin/erl.src
%{_libdir}/erlang/erts-*/bin/erlc
%{_libdir}/erlang/erts-*/bin/erlexec
%{_libdir}/erlang/erts-*/bin/escript
%{_libdir}/erlang/erts-*/bin/heart
%{_libdir}/erlang/erts-*/bin/inet_gethost
%{_libdir}/erlang/erts-*/bin/run_erl
%{_libdir}/erlang/erts-*/bin/start
%{_libdir}/erlang/erts-*/bin/start.src
%{_libdir}/erlang/erts-*/bin/start_erl.src
%{_libdir}/erlang/erts-*/bin/to_erl
%{_libdir}/erlang/erts-*/include
%{_libdir}/erlang/erts-*/lib/
%{_libdir}/erlang/erts-*/src/
%{_libdir}/erlang/lib/erts-*/
%if %{with doc}
%{_libdir}/erlang/man/man1/ct_run.*
%{_libdir}/erlang/man/man1/epmd.*
%{_libdir}/erlang/man/man1/erl.*
%{_libdir}/erlang/man/man1/erlc.*
%{_libdir}/erlang/man/man1/escript.*
%{_libdir}/erlang/man/man1/run_erl.*
%{_libdir}/erlang/man/man1/start.*
%{_libdir}/erlang/man/man1/start_erl.*
%{_libdir}/erlang/man/man3/driver_entry.*
%{_libdir}/erlang/man/man3/erl_driver.*
%{_libdir}/erlang/man/man3/erl_nif.*
%{_libdir}/erlang/man/man3/erl_prim_loader.*
%{_libdir}/erlang/man/man3/erlang.*
%{_libdir}/erlang/man/man3/erts_alloc.*
%{_libdir}/erlang/man/man3/init.*
%{_libdir}/erlang/man/man3/zlib.*
%endif
%{_libdir}/erlang/releases/*
%{_libdir}/erlang/usr/
%{_libdir}/erlang/misc/*
%{_libdir}/erlang/Install
%{_initddir}/epmd

%files et
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/et-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/et.*
%{_libdir}/erlang/man/man3/et_collector.*
%{_libdir}/erlang/man/man3/et_selector.*
%{_libdir}/erlang/man/man3/et_viewer.*
%endif

%files eunit
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/eunit-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/eunit.*
%{_libdir}/erlang/man/man3/eunit_surefire.*
%endif

%files examples
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/asn1-*/examples/
#%{_libdir}/erlang/lib/cosFileTransfer-*/examples/
#%{_libdir}/erlang/lib/cosNotification-*/examples/
#%{_libdir}/erlang/lib/cosProperty-*/examples/
#%{_libdir}/erlang/lib/cosTime-*/examples/
#%{_libdir}/erlang/lib/cosTransactions-*/examples/
%{_libdir}/erlang/lib/diameter-*/examples/
%{_libdir}/erlang/lib/et-*/examples/
%{_libdir}/erlang/lib/eunit-*/examples/
%{_libdir}/erlang/lib/gs-*/examples/
%{_libdir}/erlang/lib/ic-*/examples/
%{_libdir}/erlang/lib/inets-*/examples/
%{_libdir}/erlang/lib/kernel-*/examples/
%{_libdir}/erlang/lib/megaco-*/examples/
%{_libdir}/erlang/lib/mnesia-*/examples/
%{_libdir}/erlang/lib/observer-*/examples/
%{_libdir}/erlang/lib/orber-*/examples/
%{_libdir}/erlang/lib/reltool-*/examples/
%{_libdir}/erlang/lib/runtime_tools-*/examples/
%{_libdir}/erlang/lib/sasl-*/examples/
%{_libdir}/erlang/lib/snmp-*/examples/
#%{_libdir}/erlang/lib/ssh-*/examples/
%{_libdir}/erlang/lib/ssl-*/examples/
%{_libdir}/erlang/lib/stdlib-*/examples/
%{_libdir}/erlang/lib/syntax_tools-*/examples/
%{_libdir}/erlang/lib/tools-*/examples/
%{_libdir}/erlang/lib/wx-*/examples/

%files gs
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/gs-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/gs.*
%endif

%files hipe
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/hipe-*/

%files ic
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/ic-*/
# FIXME see erlang-jinterface also
#%dir %{_javadir}/%{name}/
%{_javadir}/%{name}/ic.jar
%if %{with doc}
%{_libdir}/erlang/man/man3/ic.*
%{_libdir}/erlang/man/man3/ic_clib.*
%{_libdir}/erlang/man/man3/ic_c_protocol.*
%endif

%files inets
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/inets-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/ftp.*
%{_libdir}/erlang/man/man3/http_uri.*
%{_libdir}/erlang/man/man3/httpc.*
%{_libdir}/erlang/man/man3/httpd.*
%{_libdir}/erlang/man/man3/httpd_conf.*
%{_libdir}/erlang/man/man3/httpd_socket.*
%{_libdir}/erlang/man/man3/httpd_util.*
%{_libdir}/erlang/man/man3/inets.*
%{_libdir}/erlang/man/man3/mod_alias.*
%{_libdir}/erlang/man/man3/mod_auth.*
%{_libdir}/erlang/man/man3/mod_esi.*
%{_libdir}/erlang/man/man3/mod_security.*
%{_libdir}/erlang/man/man3/tftp.*
%endif

%files jinterface
%defattr(-,root,root,-)
# FIXME see erlang-ic also
#%dir %{_javadir}/%{name}/
%{_javadir}/%{name}/OtpErlang.jar
%{_libdir}/erlang/lib/jinterface-*/

%files kernel
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/kernel-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/application.*
%{_libdir}/erlang/man/man3/auth.*
%{_libdir}/erlang/man/man3/code.*
%{_libdir}/erlang/man/man3/disk_log.*
%{_libdir}/erlang/man/man3/erl_boot_server.*
%{_libdir}/erlang/man/man3/erl_ddll.*
%{_libdir}/erlang/man/man3/erl_prim_loader_stub.*
%{_libdir}/erlang/man/man3/erlang_stub.*
%{_libdir}/erlang/man/man3/error_handler.*
%{_libdir}/erlang/man/man3/error_logger.*
%{_libdir}/erlang/man/man3/file.*
%{_libdir}/erlang/man/man3/gen_sctp.*
%{_libdir}/erlang/man/man3/gen_tcp.*
%{_libdir}/erlang/man/man3/gen_udp.*
%{_libdir}/erlang/man/man3/global.*
%{_libdir}/erlang/man/man3/global_group.*
%{_libdir}/erlang/man/man3/heart.*
%{_libdir}/erlang/man/man3/inet.*
%{_libdir}/erlang/man/man3/inet_res.*
%{_libdir}/erlang/man/man3/init_stub.*
%{_libdir}/erlang/man/man3/net_adm.*
%{_libdir}/erlang/man/man3/net_kernel.*
%{_libdir}/erlang/man/man3/os.*
%{_libdir}/erlang/man/man3/pg2.*
%{_libdir}/erlang/man/man3/rpc.*
%{_libdir}/erlang/man/man3/seq_trace.*
%{_libdir}/erlang/man/man3/user.*
%{_libdir}/erlang/man/man3/wrap_log_reader.*
%{_libdir}/erlang/man/man3/zlib_stub.*
%{_libdir}/erlang/man/man4/app.*
%{_libdir}/erlang/man/man4/config.*
%{_libdir}/erlang/man/man6/kernel.*
%endif

%files megaco
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/megaco-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/megaco.*
%{_libdir}/erlang/man/man3/megaco_codec_meas.*
%{_libdir}/erlang/man/man3/megaco_codec_mstone1.*
%{_libdir}/erlang/man/man3/megaco_codec_mstone2.*
%{_libdir}/erlang/man/man3/megaco_codec_transform.*
%{_libdir}/erlang/man/man3/megaco_edist_compress.*
%{_libdir}/erlang/man/man3/megaco_encoder.*
%{_libdir}/erlang/man/man3/megaco_flex_scanner.*
%{_libdir}/erlang/man/man3/megaco_tcp.*
%{_libdir}/erlang/man/man3/megaco_transport.*
%{_libdir}/erlang/man/man3/megaco_udp.*
%{_libdir}/erlang/man/man3/megaco_user.*
%endif

%files mnesia
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/mnesia-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/mnesia.*
%{_libdir}/erlang/man/man3/mnesia_frag_hash.*
%{_libdir}/erlang/man/man3/mnesia_registry.*
%endif

%files observer
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/observer-*/
%if %{with doc}
%{_libdir}/erlang/man/man1/cdv.*
%{_libdir}/erlang/man/man3/crashdump.*
%{_libdir}/erlang/man/man3/observer.*
%{_libdir}/erlang/man/man3/ttb.*
%{_libdir}/erlang/man/man6/observer.*
%endif

%files odbc
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/odbc-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/odbc.*
%endif

%files orber
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/orber-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/CosNaming.*
%{_libdir}/erlang/man/man3/CosNaming_BindingIterator.*
%{_libdir}/erlang/man/man3/CosNaming_NamingContext.*
%{_libdir}/erlang/man/man3/CosNaming_NamingContextExt.*
%{_libdir}/erlang/man/man3/Module_Interface.*
%{_libdir}/erlang/man/man3/any.*
%{_libdir}/erlang/man/man3/corba.*
%{_libdir}/erlang/man/man3/corba_object.*
%{_libdir}/erlang/man/man3/etop.*
%{_libdir}/erlang/man/man3/fixed.*
%{_libdir}/erlang/man/man3/interceptors.*
%{_libdir}/erlang/man/man3/lname.*
%{_libdir}/erlang/man/man3/lname_component.*
%{_libdir}/erlang/man/man3/orber.*
%{_libdir}/erlang/man/man3/orber_acl.*
%{_libdir}/erlang/man/man3/orber_diagnostics.*
%{_libdir}/erlang/man/man3/orber_ifr.*
%{_libdir}/erlang/man/man3/orber_tc.*
%endif

%files os_mon
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/os_mon-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/cpu_sup.*
%{_libdir}/erlang/man/man3/disksup.*
%{_libdir}/erlang/man/man3/memsup.*
%{_libdir}/erlang/man/man3/os_mon_mib.*
%{_libdir}/erlang/man/man3/os_sup.*
%{_libdir}/erlang/man/man3/nteventlog.*
%{_libdir}/erlang/man/man6/os_mon.*
%endif

%files ose
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/ose-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/ose.*
%{_libdir}/erlang/man/man3/ose_erl_driver.*
%{_libdir}/erlang/man/man6/ose.*
%endif

%files otp_mibs
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/otp_mibs-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/otp_mib.*
%endif

%files parsetools
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/parsetools-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/leex.*
%{_libdir}/erlang/man/man3/yecc.*
%endif

%files percept
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/percept-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/egd.*
%{_libdir}/erlang/man/man3/percept.*
%{_libdir}/erlang/man/man3/percept_profile.*
%endif

%files public_key
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/public_key-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/public_key.*
%endif

%files reltool
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/reltool-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/reltool.*
%endif

%files runtime_tools
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/runtime_tools-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/dbg.*
%{_libdir}/erlang/man/man3/dyntrace.*
%{_libdir}/erlang/man/man3/erts_alloc_config.*
%{_libdir}/erlang/man/man3/system_information.*
%{_libdir}/erlang/man/man6/runtime_tools.*
%endif

%files sasl
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/sasl-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/alarm_handler.*
%{_libdir}/erlang/man/man3/overload.*
%{_libdir}/erlang/man/man3/rb.*
%{_libdir}/erlang/man/man3/release_handler.*
%{_libdir}/erlang/man/man3/systools.*
%{_libdir}/erlang/man/man4/appup.*
%{_libdir}/erlang/man/man4/rel.*
%{_libdir}/erlang/man/man4/relup.*
%{_libdir}/erlang/man/man4/script.*
%{_libdir}/erlang/man/man6/sasl.*
%endif

%files snmp
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/snmp-*/
%if %{with doc}
%{_libdir}/erlang/man/man1/snmpc.*
%{_libdir}/erlang/man/man3/snmp.*
%{_libdir}/erlang/man/man3/snmpa.*
%{_libdir}/erlang/man/man3/snmpa_conf.*
%{_libdir}/erlang/man/man3/snmpa_discovery_handler.*
%{_libdir}/erlang/man/man3/snmpa_error.*
%{_libdir}/erlang/man/man3/snmpa_error_io.*
%{_libdir}/erlang/man/man3/snmpa_error_logger.*
%{_libdir}/erlang/man/man3/snmpa_error_report.*
%{_libdir}/erlang/man/man3/snmpa_local_db.*
%{_libdir}/erlang/man/man3/snmpa_mib_data.*
%{_libdir}/erlang/man/man3/snmpa_mib_storage.*
%{_libdir}/erlang/man/man3/snmpa_mpd.*
%{_libdir}/erlang/man/man3/snmpa_network_interface.*
%{_libdir}/erlang/man/man3/snmpa_network_interface_filter.*
%{_libdir}/erlang/man/man3/snmpa_notification_delivery_info_receiver.*
%{_libdir}/erlang/man/man3/snmpa_notification_filter.*
%{_libdir}/erlang/man/man3/snmpa_supervisor.*
%{_libdir}/erlang/man/man3/snmpc.*
%{_libdir}/erlang/man/man3/snmp_community_mib.*
%{_libdir}/erlang/man/man3/snmp_framework_mib.*
%{_libdir}/erlang/man/man3/snmp_generic.*
%{_libdir}/erlang/man/man3/snmp_index.*
%{_libdir}/erlang/man/man3/snmpm.*
%{_libdir}/erlang/man/man3/snmpm_conf.*
%{_libdir}/erlang/man/man3/snmpm_mpd.*
%{_libdir}/erlang/man/man3/snmpm_network_interface.*
%{_libdir}/erlang/man/man3/snmpm_network_interface_filter.*
%{_libdir}/erlang/man/man3/snmpm_user.*
%{_libdir}/erlang/man/man3/snmp_notification_mib.*
%{_libdir}/erlang/man/man3/snmp_pdus.*
%{_libdir}/erlang/man/man3/snmp_standard_mib.*
%{_libdir}/erlang/man/man3/snmp_target_mib.*
%{_libdir}/erlang/man/man3/snmp_user_based_sm_mib.*
%{_libdir}/erlang/man/man3/snmp_view_based_acm_mib.*
%{_libdir}/erlang/man/man6/snmp.*
%{_libdir}/erlang/man/man7/INET-ADDRESS-MIB.*
%{_libdir}/erlang/man/man7/OTP-SNMPEA-MIB.*
%{_libdir}/erlang/man/man7/RFC1213-MIB.*
%{_libdir}/erlang/man/man7/SNMP-COMMUNITY-MIB.*
%{_libdir}/erlang/man/man7/SNMP-FRAMEWORK-MIB.*
%{_libdir}/erlang/man/man7/SNMP-MPD-MIB.*
%{_libdir}/erlang/man/man7/SNMP-NOTIFICATION-MIB.*
%{_libdir}/erlang/man/man7/SNMP-TARGET-MIB.*
%{_libdir}/erlang/man/man7/SNMP-USER-BASED-SM-MIB.*
%{_libdir}/erlang/man/man7/SNMP-USM-AES-MIB.*
%{_libdir}/erlang/man/man7/SNMPv2-MIB.*
%{_libdir}/erlang/man/man7/SNMPv2-TM.*
%{_libdir}/erlang/man/man7/SNMP-VIEW-BASED-ACM-MIB.*
%{_libdir}/erlang/man/man7/STANDARD-MIB.*
%{_libdir}/erlang/man/man7/TRANSPORT-ADDRESS-MIB.*
%endif

%files ssh
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/ssh-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/ssh.*
%{_libdir}/erlang/man/man3/ssh_channel.*
%{_libdir}/erlang/man/man3/ssh_client_key_api.*
%{_libdir}/erlang/man/man3/ssh_connection.*
%{_libdir}/erlang/man/man3/ssh_server_key_api.*
%{_libdir}/erlang/man/man3/ssh_sftp.*
%{_libdir}/erlang/man/man3/ssh_sftpd.*
%{_libdir}/erlang/man/man6/ssh.*
%endif

%files ssl
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/ssl-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/ssl.*
%{_libdir}/erlang/man/man3/ssl_session_cache_api.*
%{_libdir}/erlang/man/man6/ssl.*
%endif

%files stdlib
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/stdlib-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/array.*
%{_libdir}/erlang/man/man3/base64.*
%{_libdir}/erlang/man/man3/beam_lib.*
%{_libdir}/erlang/man/man3/binary.*
%{_libdir}/erlang/man/man3/c.*
%{_libdir}/erlang/man/man3/calendar.*
%{_libdir}/erlang/man/man3/dets.*
%{_libdir}/erlang/man/man3/dict.*
%{_libdir}/erlang/man/man3/digraph.*
%{_libdir}/erlang/man/man3/digraph_utils.*
%{_libdir}/erlang/man/man3/epp.*
%{_libdir}/erlang/man/man3/erl_eval.*
%{_libdir}/erlang/man/man3/erl_expand_records.*
%{_libdir}/erlang/man/man3/erl_id_trans.*
%{_libdir}/erlang/man/man3/erl_internal.*
%{_libdir}/erlang/man/man3/erl_lint.*
%{_libdir}/erlang/man/man3/erl_parse.*
%{_libdir}/erlang/man/man3/erl_pp.*
%{_libdir}/erlang/man/man3/erl_scan.*
%{_libdir}/erlang/man/man3/erl_tar.*
%{_libdir}/erlang/man/man3/ets.*
%{_libdir}/erlang/man/man3/file_sorter.*
%{_libdir}/erlang/man/man3/filelib.*
%{_libdir}/erlang/man/man3/filename.*
%{_libdir}/erlang/man/man3/gb_sets.*
%{_libdir}/erlang/man/man3/gb_trees.*
%{_libdir}/erlang/man/man3/gen_event.*
%{_libdir}/erlang/man/man3/gen_fsm.*
%{_libdir}/erlang/man/man3/gen_server.*
%{_libdir}/erlang/man/man3/io.*
%{_libdir}/erlang/man/man3/io_lib.*
%{_libdir}/erlang/man/man3/lib.*
%{_libdir}/erlang/man/man3/lists.*
%{_libdir}/erlang/man/man3/log_mf_h.*
%{_libdir}/erlang/man/man3/maps.*
%{_libdir}/erlang/man/man3/math.*
%{_libdir}/erlang/man/man3/ms_transform.*
%{_libdir}/erlang/man/man3/orddict.*
%{_libdir}/erlang/man/man3/ordsets.*
%{_libdir}/erlang/man/man3/pg.*
%{_libdir}/erlang/man/man3/pool.*
%{_libdir}/erlang/man/man3/proc_lib.*
%{_libdir}/erlang/man/man3/proplists.*
%{_libdir}/erlang/man/man3/qlc.*
%{_libdir}/erlang/man/man3/queue.*
%{_libdir}/erlang/man/man3/random.*
%{_libdir}/erlang/man/man3/re.*
%{_libdir}/erlang/man/man3/sets.*
%{_libdir}/erlang/man/man3/shell.*
%{_libdir}/erlang/man/man3/shell_default.*
%{_libdir}/erlang/man/man3/slave.*
%{_libdir}/erlang/man/man3/sofs.*
%{_libdir}/erlang/man/man3/string.*
%{_libdir}/erlang/man/man3/supervisor.*
%{_libdir}/erlang/man/man3/supervisor_bridge.*
%{_libdir}/erlang/man/man3/sys.*
%{_libdir}/erlang/man/man3/timer.*
%{_libdir}/erlang/man/man3/unicode.*
%{_libdir}/erlang/man/man3/zip.*
%{_libdir}/erlang/man/man6/stdlib.*
%endif

%files syntax_tools
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/syntax_tools-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/epp_dodger.*
%{_libdir}/erlang/man/man3/erl_comment_scan.*
%{_libdir}/erlang/man/man3/erl_prettypr.*
%{_libdir}/erlang/man/man3/erl_recomment.*
%{_libdir}/erlang/man/man3/erl_syntax.*
%{_libdir}/erlang/man/man3/erl_syntax_lib.*
%{_libdir}/erlang/man/man3/erl_tidy.*
%{_libdir}/erlang/man/man3/igor.*
%{_libdir}/erlang/man/man3/prettypr.*
%endif

%files test_server
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/test_server-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/test_server.*
%{_libdir}/erlang/man/man3/test_server_ctrl.*
%{_libdir}/erlang/man/man6/test_server.*
%endif

%files tools
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/tools-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/cover.*
%{_libdir}/erlang/man/man3/cprof.*
%{_libdir}/erlang/man/man3/eprof.*
%{_libdir}/erlang/man/man3/erlang_mode.*
%{_libdir}/erlang/man/man3/fprof.*
%{_libdir}/erlang/man/man3/instrument.*
%{_libdir}/erlang/man/man3/lcnt.*
%{_libdir}/erlang/man/man3/make.*
%{_libdir}/erlang/man/man3/tags.*
%{_libdir}/erlang/man/man3/xref.*
%endif

%files typer
%defattr(-,root,root,-)
%{_bindir}/typer
%{_libdir}/erlang/bin/typer
%{_libdir}/erlang/erts-*/bin/typer
%{_libdir}/erlang/lib/typer-*/

%files webtool
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/webtool-*/
%if %{with doc}
%{_libdir}/erlang/man/man1/start_webtool.*
%{_libdir}/erlang/man/man3/webtool.*
%endif

%files wx
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/wx-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/gl.*
%{_libdir}/erlang/man/man3/glu.*
%{_libdir}/erlang/man/man3/wx.*
%{_libdir}/erlang/man/man3/wx_misc.*
%{_libdir}/erlang/man/man3/wx_object.*
%{_libdir}/erlang/man/man3/wxAcceleratorEntry.*
%{_libdir}/erlang/man/man3/wxAcceleratorTable.*
%{_libdir}/erlang/man/man3/wxActivateEvent.*
%{_libdir}/erlang/man/man3/wxArtProvider.*
%{_libdir}/erlang/man/man3/wxAuiDockArt.*
%{_libdir}/erlang/man/man3/wxAuiManager.*
%{_libdir}/erlang/man/man3/wxAuiManagerEvent.*
%{_libdir}/erlang/man/man3/wxAuiNotebook.*
%{_libdir}/erlang/man/man3/wxAuiNotebookEvent.*
%{_libdir}/erlang/man/man3/wxAuiPaneInfo.*
%{_libdir}/erlang/man/man3/wxAuiTabArt.*
%{_libdir}/erlang/man/man3/wxBitmap.*
%{_libdir}/erlang/man/man3/wxBitmapButton.*
%{_libdir}/erlang/man/man3/wxBitmapDataObject.*
%{_libdir}/erlang/man/man3/wxBoxSizer.*
%{_libdir}/erlang/man/man3/wxBrush.*
%{_libdir}/erlang/man/man3/wxBufferedDC.*
%{_libdir}/erlang/man/man3/wxBufferedPaintDC.*
%{_libdir}/erlang/man/man3/wxButton.*
%{_libdir}/erlang/man/man3/wxCalendarCtrl.*
%{_libdir}/erlang/man/man3/wxCalendarDateAttr.*
%{_libdir}/erlang/man/man3/wxCalendarEvent.*
%{_libdir}/erlang/man/man3/wxCaret.*
%{_libdir}/erlang/man/man3/wxCheckBox.*
%{_libdir}/erlang/man/man3/wxCheckListBox.*
%{_libdir}/erlang/man/man3/wxChildFocusEvent.*
%{_libdir}/erlang/man/man3/wxChoice.*
%{_libdir}/erlang/man/man3/wxChoicebook.*
%{_libdir}/erlang/man/man3/wxClientDC.*
%{_libdir}/erlang/man/man3/wxClipboard.*
%{_libdir}/erlang/man/man3/wxClipboardTextEvent.*
%{_libdir}/erlang/man/man3/wxCloseEvent.*
%{_libdir}/erlang/man/man3/wxColourData.*
%{_libdir}/erlang/man/man3/wxColourDialog.*
%{_libdir}/erlang/man/man3/wxColourPickerCtrl.*
%{_libdir}/erlang/man/man3/wxColourPickerEvent.*
%{_libdir}/erlang/man/man3/wxComboBox.*
%{_libdir}/erlang/man/man3/wxCommandEvent.*
%{_libdir}/erlang/man/man3/wxContextMenuEvent.*
%{_libdir}/erlang/man/man3/wxControl.*
%{_libdir}/erlang/man/man3/wxControlWithItems.*
%{_libdir}/erlang/man/man3/wxCursor.*
%{_libdir}/erlang/man/man3/wxDataObject.*
%{_libdir}/erlang/man/man3/wxDateEvent.*
%{_libdir}/erlang/man/man3/wxDatePickerCtrl.*
%{_libdir}/erlang/man/man3/wxDC.*
%{_libdir}/erlang/man/man3/wxDialog.*
%{_libdir}/erlang/man/man3/wxDirDialog.*
%{_libdir}/erlang/man/man3/wxDirPickerCtrl.*
%{_libdir}/erlang/man/man3/wxDisplayChangedEvent.*
%{_libdir}/erlang/man/man3/wxEraseEvent.*
%{_libdir}/erlang/man/man3/wxEvent.*
%{_libdir}/erlang/man/man3/wxEvtHandler.*
%{_libdir}/erlang/man/man3/wxFileDataObject.*
%{_libdir}/erlang/man/man3/wxFileDialog.*
%{_libdir}/erlang/man/man3/wxFileDirPickerEvent.*
%{_libdir}/erlang/man/man3/wxFilePickerCtrl.*
%{_libdir}/erlang/man/man3/wxFindReplaceData.*
%{_libdir}/erlang/man/man3/wxFindReplaceDialog.*
%{_libdir}/erlang/man/man3/wxFlexGridSizer.*
%{_libdir}/erlang/man/man3/wxFocusEvent.*
%{_libdir}/erlang/man/man3/wxFont.*
%{_libdir}/erlang/man/man3/wxFontData.*
%{_libdir}/erlang/man/man3/wxFontDialog.*
%{_libdir}/erlang/man/man3/wxFontPickerCtrl.*
%{_libdir}/erlang/man/man3/wxFontPickerEvent.*
%{_libdir}/erlang/man/man3/wxFrame.*
%{_libdir}/erlang/man/man3/wxGauge.*
%{_libdir}/erlang/man/man3/wxGBSizerItem.*
%{_libdir}/erlang/man/man3/wxGenericDirCtrl.*
%{_libdir}/erlang/man/man3/wxGLCanvas.*
%{_libdir}/erlang/man/man3/wxGraphicsBrush.*
%{_libdir}/erlang/man/man3/wxGraphicsContext.*
%{_libdir}/erlang/man/man3/wxGraphicsFont.*
%{_libdir}/erlang/man/man3/wxGraphicsMatrix.*
%{_libdir}/erlang/man/man3/wxGraphicsObject.*
%{_libdir}/erlang/man/man3/wxGraphicsPath.*
%{_libdir}/erlang/man/man3/wxGraphicsPen.*
%{_libdir}/erlang/man/man3/wxGraphicsRenderer.*
%{_libdir}/erlang/man/man3/wxGrid.*
%{_libdir}/erlang/man/man3/wxGridBagSizer.*
%{_libdir}/erlang/man/man3/wxGridCellAttr.*
%{_libdir}/erlang/man/man3/wxGridCellBoolEditor.*
%{_libdir}/erlang/man/man3/wxGridCellBoolRenderer.*
%{_libdir}/erlang/man/man3/wxGridCellChoiceEditor.*
%{_libdir}/erlang/man/man3/wxGridCellEditor.*
%{_libdir}/erlang/man/man3/wxGridCellFloatEditor.*
%{_libdir}/erlang/man/man3/wxGridCellFloatRenderer.*
%{_libdir}/erlang/man/man3/wxGridCellNumberEditor.*
%{_libdir}/erlang/man/man3/wxGridCellNumberRenderer.*
%{_libdir}/erlang/man/man3/wxGridCellRenderer.*
%{_libdir}/erlang/man/man3/wxGridCellStringRenderer.*
%{_libdir}/erlang/man/man3/wxGridCellTextEditor.*
%{_libdir}/erlang/man/man3/wxGridEvent.*
%{_libdir}/erlang/man/man3/wxGridSizer.*
%{_libdir}/erlang/man/man3/wxHelpEvent.*
%{_libdir}/erlang/man/man3/wxHtmlEasyPrinting.*
%{_libdir}/erlang/man/man3/wxHtmlLinkEvent.*
%{_libdir}/erlang/man/man3/wxHtmlWindow.*
%{_libdir}/erlang/man/man3/wxIcon.*
%{_libdir}/erlang/man/man3/wxIconBundle.*
%{_libdir}/erlang/man/man3/wxIconizeEvent.*
%{_libdir}/erlang/man/man3/wxIdleEvent.*
%{_libdir}/erlang/man/man3/wxImage.*
%{_libdir}/erlang/man/man3/wxImageList.*
%{_libdir}/erlang/man/man3/wxInitDialogEvent.*
%{_libdir}/erlang/man/man3/wxJoystickEvent.*
%{_libdir}/erlang/man/man3/wxKeyEvent.*
%{_libdir}/erlang/man/man3/wxLayoutAlgorithm.*
%{_libdir}/erlang/man/man3/wxListbook.*
%{_libdir}/erlang/man/man3/wxListBox.*
%{_libdir}/erlang/man/man3/wxListCtrl.*
%{_libdir}/erlang/man/man3/wxListEvent.*
%{_libdir}/erlang/man/man3/wxListItem.*
%{_libdir}/erlang/man/man3/wxListItemAttr.*
%{_libdir}/erlang/man/man3/wxListView.*
%{_libdir}/erlang/man/man3/wxLocale.*
%{_libdir}/erlang/man/man3/wxLogNull.*
%{_libdir}/erlang/man/man3/wxMask.*
%{_libdir}/erlang/man/man3/wxMaximizeEvent.*
%{_libdir}/erlang/man/man3/wxMDIChildFrame.*
%{_libdir}/erlang/man/man3/wxMDIClientWindow.*
%{_libdir}/erlang/man/man3/wxMDIParentFrame.*
%{_libdir}/erlang/man/man3/wxMemoryDC.*
%{_libdir}/erlang/man/man3/wxMenu.*
%{_libdir}/erlang/man/man3/wxMenuBar.*
%{_libdir}/erlang/man/man3/wxMenuEvent.*
%{_libdir}/erlang/man/man3/wxMenuItem.*
%{_libdir}/erlang/man/man3/wxMessageDialog.*
%{_libdir}/erlang/man/man3/wxMiniFrame.*
%{_libdir}/erlang/man/man3/wxMirrorDC.*
%{_libdir}/erlang/man/man3/wxMouseCaptureChangedEvent.*
%{_libdir}/erlang/man/man3/wxMouseEvent.*
%{_libdir}/erlang/man/man3/wxMoveEvent.*
%{_libdir}/erlang/man/man3/wxMultiChoiceDialog.*
%{_libdir}/erlang/man/man3/wxNavigationKeyEvent.*
%{_libdir}/erlang/man/man3/wxNotebook.*
%{_libdir}/erlang/man/man3/wxNotebookEvent.*
%{_libdir}/erlang/man/man3/wxNotifyEvent.*
%{_libdir}/erlang/man/man3/wxPageSetupDialog.*
%{_libdir}/erlang/man/man3/wxPageSetupDialogData.*
%{_libdir}/erlang/man/man3/wxPaintDC.*
%{_libdir}/erlang/man/man3/wxPaintEvent.*
%{_libdir}/erlang/man/man3/wxPalette.*
%{_libdir}/erlang/man/man3/wxPaletteChangedEvent.*
%{_libdir}/erlang/man/man3/wxPanel.*
%{_libdir}/erlang/man/man3/wxPasswordEntryDialog.*
%{_libdir}/erlang/man/man3/wxPen.*
%{_libdir}/erlang/man/man3/wxPickerBase.*
%{_libdir}/erlang/man/man3/wxPopupTransientWindow.*
%{_libdir}/erlang/man/man3/wxPopupWindow.*
%{_libdir}/erlang/man/man3/wxPostScriptDC.*
%{_libdir}/erlang/man/man3/wxPreviewCanvas.*
%{_libdir}/erlang/man/man3/wxPreviewControlBar.*
%{_libdir}/erlang/man/man3/wxPreviewFrame.*
%{_libdir}/erlang/man/man3/wxPrintData.*
%{_libdir}/erlang/man/man3/wxPrintDialog.*
%{_libdir}/erlang/man/man3/wxPrintDialogData.*
%{_libdir}/erlang/man/man3/wxPrinter.*
%{_libdir}/erlang/man/man3/wxPrintout.*
%{_libdir}/erlang/man/man3/wxPrintPreview.*
%{_libdir}/erlang/man/man3/wxProgressDialog.*
%{_libdir}/erlang/man/man3/wxQueryNewPaletteEvent.*
%{_libdir}/erlang/man/man3/wxRadioBox.*
%{_libdir}/erlang/man/man3/wxRadioButton.*
%{_libdir}/erlang/man/man3/wxRegion.*
%{_libdir}/erlang/man/man3/wxSashEvent.*
%{_libdir}/erlang/man/man3/wxSashLayoutWindow.*
%{_libdir}/erlang/man/man3/wxSashWindow.*
%{_libdir}/erlang/man/man3/wxScreenDC.*
%{_libdir}/erlang/man/man3/wxScrollBar.*
%{_libdir}/erlang/man/man3/wxScrolledWindow.*
%{_libdir}/erlang/man/man3/wxScrollEvent.*
%{_libdir}/erlang/man/man3/wxScrollWinEvent.*
%{_libdir}/erlang/man/man3/wxSetCursorEvent.*
%{_libdir}/erlang/man/man3/wxShowEvent.*
%{_libdir}/erlang/man/man3/wxSingleChoiceDialog.*
%{_libdir}/erlang/man/man3/wxSizeEvent.*
%{_libdir}/erlang/man/man3/wxSizer.*
%{_libdir}/erlang/man/man3/wxSizerFlags.*
%{_libdir}/erlang/man/man3/wxSizerItem.*
%{_libdir}/erlang/man/man3/wxSlider.*
%{_libdir}/erlang/man/man3/wxSpinButton.*
%{_libdir}/erlang/man/man3/wxSpinCtrl.*
%{_libdir}/erlang/man/man3/wxSpinEvent.*
%{_libdir}/erlang/man/man3/wxSplashScreen.*
%{_libdir}/erlang/man/man3/wxSplitterEvent.*
%{_libdir}/erlang/man/man3/wxSplitterWindow.*
%{_libdir}/erlang/man/man3/wxStaticBitmap.*
%{_libdir}/erlang/man/man3/wxStaticBox.*
%{_libdir}/erlang/man/man3/wxStaticBoxSizer.*
%{_libdir}/erlang/man/man3/wxStaticLine.*
%{_libdir}/erlang/man/man3/wxStaticText.*
%{_libdir}/erlang/man/man3/wxStatusBar.*
%{_libdir}/erlang/man/man3/wxStdDialogButtonSizer.*
%{_libdir}/erlang/man/man3/wxStyledTextCtrl.*
%{_libdir}/erlang/man/man3/wxStyledTextEvent.*
%{_libdir}/erlang/man/man3/wxSysColourChangedEvent.*
%{_libdir}/erlang/man/man3/wxSystemOptions.*
%{_libdir}/erlang/man/man3/wxSystemSettings.*
%{_libdir}/erlang/man/man3/wxTaskBarIcon.*
%{_libdir}/erlang/man/man3/wxTaskBarIconEvent.*
%{_libdir}/erlang/man/man3/wxTextAttr.*
%{_libdir}/erlang/man/man3/wxTextCtrl.*
%{_libdir}/erlang/man/man3/wxTextDataObject.*
%{_libdir}/erlang/man/man3/wxTextEntryDialog.*
%{_libdir}/erlang/man/man3/wxToggleButton.*
%{_libdir}/erlang/man/man3/wxToolBar.*
%{_libdir}/erlang/man/man3/wxToolbook.*
%{_libdir}/erlang/man/man3/wxToolTip.*
%{_libdir}/erlang/man/man3/wxTopLevelWindow.*
%{_libdir}/erlang/man/man3/wxTreebook.*
%{_libdir}/erlang/man/man3/wxTreeCtrl.*
%{_libdir}/erlang/man/man3/wxTreeEvent.*
%{_libdir}/erlang/man/man3/wxUpdateUIEvent.*
%{_libdir}/erlang/man/man3/wxWindow.*
%{_libdir}/erlang/man/man3/wxWindowCreateEvent.*
%{_libdir}/erlang/man/man3/wxWindowDC.*
%{_libdir}/erlang/man/man3/wxWindowDestroyEvent.*
%{_libdir}/erlang/man/man3/wxXmlResource.*
%endif

%files xmerl
%defattr(-,root,root,-)
%{_libdir}/erlang/lib/xmerl-*/
%if %{with doc}
%{_libdir}/erlang/man/man3/xmerl.*
%{_libdir}/erlang/man/man3/xmerl_eventp.*
%{_libdir}/erlang/man/man3/xmerl_sax_parser.*
%{_libdir}/erlang/man/man3/xmerl_scan.*
%{_libdir}/erlang/man/man3/xmerl_xpath.*
%{_libdir}/erlang/man/man3/xmerl_xs.*
%{_libdir}/erlang/man/man3/xmerl_xsd.*
%endif

%files -n emacs-erlang
%defattr(-,root,root,-)
%dir %{_emacs_sitelispdir}/erlang
%doc %{_emacs_sitelispdir}/erlang/README
%{_emacs_sitelispdir}/erlang/*.elc
%{_emacs_sitestartdir}/erlang-init.el

%files -n emacs-erlang-el
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/erlang/*.el


%changelog
* Mon Dec 22 2014 Nikita Gerasimov <nikita.gerasimov@oracle.com> - 17.3-1.0.1
- Ver. 17.3-1.0.1
- Removed legacy checks/fixes
- Enabled DTrace
- epmd.init
- Enabled native libs

* Wed Oct 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/erlang.git;a=log;h=master

* Wed Oct 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3921da3
- up to 17.3; add systemd scripts; enable smp support

* Tue Aug 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e6c74a0
- up to 17.1; epoch 2; new versioning scheme used by erlang

* Fri Mar 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 361623b
- up to R16B03

* Tue Oct 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 70be48f
- up to R16B02

* Sun Apr 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 03bccac
- up to R16B

* Sun Sep 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 1907c92
- updated to R15B02
- removed obsolete link patch

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d3d9f5
- up to R15B

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ccf0d3
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c6cdd45
- release 2

* Tue Jul 19 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 065a016
- up to R14B03

* Fri Jan 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 10ae560
- upstream fix

* Mon Jan 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ac98a1e
- up to R14B01; replace strcpy with memcpy because fortify source won't allow to strcpy into too short array

* Thu Sep 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4003f6e
- rel 1.1; A is unstable it seems :/

* Thu Sep 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> daa5c50
- up to R14A

* Sat Apr 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7df5349
- rel 4; some git fixes

* Sat Apr 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d171ef7
- release 3

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6237a04
- release 2

* Mon Mar 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 75067de
- up to R13B04

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> be00b46
- BR capitalization

* Sun Apr 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8825494
- stable note

